*···························行业匹配结果······································*

cd "G:\PREPARE\MYSELF\研究生\中美贸易战\数模\程序"
*GB-ISIC
save GB2002-ISIC3.dta
egen miss=rmiss(isic3)
drop if miss!=0
drop miss
duplicates drop gb2d isic32d,force
drop if isic3_2<10|isic3_2>41
gen industry="C 采矿及采石" if isic3_2d>=10&isic3_2<=14
replace industry="D 制造业" if isic3_2d>=15&isic3_2<=37
replace industry="E 电、煤气和水的供应" if isic3_2d>=40&isic3_2<=41
save GB2002-ISIC3-use.dta
tabstat isic3_2 gb022d, stat(n min max sd) 
tabstat  gb022d, by(isic3_2) stat(n min max sd)



*NAICS all
use NAICS-ISIC3.dta
rename isic312digit isic31_2d
rename isic32digit isic3_2d
rename isic3_2d isic32d
destring isic32d, replace
duplicates drop isic31_2d code isic32d,force
save NAICS-ISIC3-2digit-industry.dta

use NAICS-ISIC31-all.dta
destring isic31_2d, generate(isic31_2)
duplicates drop isic31_2d naics_4d,force
destring isic31, replace
sort isic31_2 naics_4d
joinby isic31 isic31_2 using ISIC3.1-ISIC3-用于合并.dta
sort isic31 naics_4d
duplicates drop isic3_2d naics_4d,force
order isic31_2 isic3_2 naics_*
sort isic3_2 naics_3d
replace naics_3d=336.1 if naics_4d>=3361&naics_4d<=3363
replace naics_3d=336.2 if naics_4d>=3364&naics_4d<=3369
duplicates drop isic3_2d naics_3d,force
save NAICS_3-ISIC3_2-all.dta
joinby  isic3_2d  isic34d using GB2002-ISIC3.dta
destring gb2d,replace
order gb2d isic3_2 naics_3d isic31_2
sort isic3_2 gb2d naics_3d
duplicates drop isic3_2d naics_3d gb2d,force
save 中美行业匹配.dta
tabstat isic3_2 gb2d naics_3d, stat(n  min max sd) 
tabstat  gb2d naics_3d, by(isic3_2) stat(n min max sd) 

clear
use NAICS_3-ISIC3_2-all.dta
drop if naics_3d<111|naics_3d>812
drop if isic3_2<10|isic3_2>41
sort naics_3d
egen na_code=group(naics_3d)
gen industry="C 采矿及采石" if isic3_2d>=10&isic3_2<=14
replace industry="D 制造业" if isic3_2d>=15&isic3_2<=37
replace industry="E 电、煤气和水的供应" if isic3_2d>=40&isic3_2<=41
order isic3_2 naics_3d na_code industry
save NAICS_3-ISIC3_2-use.dta,replace
tabstat isic3_2, by(naics_3d) stat(n min max sd)


*N2012-I3（数据已经更新）
use N12-I4.dta
joinby isic4 using I4-I31.dta
joinby isic31 using I31-I3.dta
gen n12_3adj=n12_3
replace n12_3adj=111 if n12_3==112
replace n12_3adj=113 if n12_3==114|n12_3==115
replace n12_3adj=236 if n12_3==237|n12_3==238
replace n12_3adj=336.1 if n12_4>=3361&n12_4<=3363
replace n12_3adj=336.2 if n12_4>=3364&n12_4<=3369
replace n12_3adj=311 if n12_3==312
replace n12_3adj=313 if n12_3==314
replace n12_3adj=315 if n12_3==316
replace n12_3adj=487 if n12_3==488|n12_3==492
replace n12_3adj=515 if n12_3==517
replace n12_3adj=518 if n12_3==519
replace n12_3adj=532 if n12_3==533
replace n12_3adj=622 if n12_3==623
replace n12_3adj=711 if n12_3==712
save N12-I3.dta,replace
drop if isic3_2<10|isic3_2>41
gen industry="C 采矿及采石" if isic3_2>=10&isic3_2<=14
replace industry="D 制造业" if isic3_2>=15&isic3_2<=37
replace industry="E 电、煤气和水的供应" if isic3_2>=40&isic3_2<=41
duplicates drop isic3_2 n12_3adj,force
save N12-I3-行业无重复.dta
joinby  isic3_2 using GB2002-ISIC3-use.dta
save N12-I3-G02行业.dta

use N12-I3-行业无重复.dta
order isic3_2 n12_3adj
sort  n12_3adj isic3_2
drop if isic3_2==37|isic3_2==41
gen isic3_2adj=isic3_2
replace isic3_2adj=17 if isic3_2==18|isic3_2==19
replace isic3_2adj=34 if isic3_2==35
gen note="纺织品制造" if  isic3_2adj==17
replace note="交通运输设备制造" if  isic3_2adj==34
duplicates drop isic3_2adj n12_3adj,force
egen i3_code=group(isic3_2adj)
order i3_code isic3_2* n12_3adj note
save N12-I3-adjusted.dta,replace
tabstat isic3_2adj n12_3adj i3_code, stat(n min max sd) 
tabstat n12_3adj, by(isic3_2adj) stat(n min max sd)
tabstat isic3_2adj, by(n12_3adj) stat(n min max sd)


*HS-ISIC调整
clear
use hs_isic.dta
destring isic3_2d,replace
drop if isic3_2d<10|isic3_2>41
duplicates drop isic3_2d hs,force //0
save  hs_isic-use.dta

gen isic3_2adj=isic3_2
replace isic3_2adj=17 if isic3_2==18|isic3_2==19
replace isic3_2adj=34 if isic3_2==35
gen note="纺织品制造" if  isic3_2adj==17
replace note="交通运输设备制造" if  isic3_2adj==34
//合并后
replace isic3_2adj=10 if isic3_2>=12&isic3_2<=14
replace isic3_2adj=29 if isic3_2>=30&isic3_2<=33
replace isic3_2adj=15 if isic3_2==16
replace note="采矿业（除石油和天然气）"  if isic3_2adj==10
replace note="机械、设备和仪器制造"  if isic3_2adj==29
replace note="食品、饮料和烟草制造"  if isic3_2adj==15
sort isic3_2adj hs
duplicates drop isic3_2adj hs,force //0
egen i3_code=group(isic3_2adj)
tabstat hs, by(isic3_2adj) stat(n min max sd) 
save hs_isic-修改删除后.dta




